Skip to content

Post an immutable message

POST/v1/chat/conversations/{conversationId}/messages

Accepts 1–64,000 UTF-8 bytes and up to ten typed references. A committed replay returns its original outcome without another storage charge or notification.

Authorization

AuthorizationBearer <token>

In: header

Path Parameters

conversationId*string
Format:uuid

Request Body

application/json

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/chat/conversations/497f6eca-6276-4993-bfeb-53cbbbba6f08/messages" \
  -H "Content-Type: application/json" \
  -d '{
    "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",
    "text": "string"
  }'
{
  "state": "posted",
  "entry": {
    "entryId": "09a8b554-45ca-4bab-a638-265db4b3e828",
    "conversationId": "ee6e55e8-45fe-4a3e-9bc8-4669f9fdf77a",
    "sequence": "string",
    "actorId": "d2f1b55c-8cee-4a0d-af57-aebaeff77518",
    "createdAt": "2019-08-24T14:15:22Z",
    "kind": "message",
    "text": "string",
    "references": [
      {
        "kind": "file",
        "fileId": "a1c6a2ab-4b01-4253-b4c9-70e04b3b48fc"
      }
    ]
  }
}